Skip to content
Guides
Fulfillment & ShippingMethods
settings:read

Get shipping method

Returns one shipping method with pricing, eligibility, available days, connection ID, pickup-point IDs and embedded rates.

GET/v1/shipping/methods/{id}

Returns one shipping method with pricing, eligibility, available days, connection ID, pickup-point IDs and embedded rates.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

id*string

Unique identifier of the resource.

Header Parameters

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/shipping/methods/7204558912004325301" \  -H "Authorization: Bearer <token>"
{  "id": "7204558912004325301",  "storeId": "7204558912004325301",  "sellerId": "7204558912004325301",  "name": "Example resource",  "displayName": "Example resource",  "type": "regular",  "isActive": false,  "visibleInCheckout": false,  "sortOrder": 1,  "shippingProfileId": "7204558912004325301",  "minOrderAmount": 1,  "maxOrderAmount": 1,  "minWeight": 1,  "maxWeight": 1,  "allowSplitFulfillment": false,  "availableDays": [    "monday"  ],  "basePrice": 1,  "currency": "PEN",  "estimatedDeliveryDays": 1,  "estimatedDeliveryHours": 1,  "allowShowCalendar": false,  "metadata": {},  "connectionId": "7204558912004325301",  "pickupPointIds": [    "example"  ],  "rates": [    {      "id": "7204558912004325301",      "storeId": "7204558912004325301",      "sellerId": "7204558912004325301",      "shippingMethodId": "7204558912004325301",      "type": "flat",      "price": 1,      "currency": "PEN",      "minOrderPrice": 1,      "maxOrderPrice": 1,      "postalCodes": [        "example"      ],      "isActive": false,      "description": "Example description.",      "discountPercentage": 1,      "zoneCode": "example_code",      "minWeight": 1,      "maxWeight": 1,      "minValue": 1,      "maxValue": 1,      "basePrice": 1,      "pricePerKg": 1,      "pricePerUnit": 1,      "taxIncluded": false,      "surcharge": 1,      "metadata": {},      "createdOn": "2026-08-01T15:30:00Z",      "updatedOn": "2026-08-01T15:30:00Z"    }  ],  "createdOn": "2026-08-01T15:30:00Z",  "updatedOn": "2026-08-01T15:30:00Z"}